Bug 1095079 - beaker-wizard not take aarch64 as a valid architecture
Summary: beaker-wizard not take aarch64 as a valid architecture
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: command line
Version: 0.16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 0.17.1
Assignee: matt jia
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-07 05:29 UTC by xuezhi ma
Modified: 2018-02-06 00:41 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-18 08:17:36 UTC


Attachments (Terms of Use)

Description xuezhi ma 2014-05-07 05:29:35 UTC
Description of problem:
When I use beaker-wizard to create a task which architecture is aarch64, it take aarch64 as a  valid architecture.

Version-Release number of selected component (if applicable):
0.16.3

How reproducible:
always

Steps to Reproduce:
1.# beaker-wizard
2.press enter and set every item default.
3. When be asked [Everything OK?], input Architectures
4. [All?] aarch64


Actual results:
After step3, a description like follows:
Architectures (choose one or more or "all")
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Possible values: i386, x86_64, ia64, ppc, ppc64, s390, s390x
You can supply more values separated with space or comma but they all
must be from the list of possible values above.
(*aarch64 not in the list*)

After step4, got "You can supply more values separated with space or comma but they all must be from the list of possible values above.
[aarch64 is not a valid architecture, what about All?]"

Expected results:
take aarch64 as valid architectures

Additional info:

Comment 2 matt jia 2014-06-06 01:13:49 UTC
On Gerrit:

http://gerrit.beaker-project.org/#/c/3127/

Cheers, Matt Jia

Comment 4 xuezhi ma 2014-06-11 07:46:32 UTC
Verify steps:

1.# beaker-wizard
2.press enter and set every item default.
3. When be asked [Everything OK?], input Architectures
4. [All?] aarch64
result:
Directory Sanity/a-few-descriptive-words created
File Sanity/a-few-descriptive-words/PURPOSE written
File Sanity/a-few-descriptive-words/runtest.sh written
File Sanity/a-few-descriptive-words/Makefile written
5.# vim Sanity/a-few-descriptive-words/Makefile
Got:
@echo "Architectures:   aarch64" >> $(METADATA)

Change it to verified

Comment 5 Dan Callaghan 2014-07-18 08:17:36 UTC
Beaker 0.17.1 has been released.


Note You need to log in before you can comment on or make changes to this bug.